summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortv <tv@krebsco.de>2017-12-19 19:25:32 +0100
committertv <tv@krebsco.de>2017-12-19 19:39:34 +0100
commit83d657179132a04efcffd85c849f969e8ffb17ef (patch)
treefbe428fa713b611021bd27afad4b86eb90dcae29
parenta058a8d1f7cf77e4990e9c6c06c4a2681efbc47c (diff)
populate_git: build git if it doesn't existv2.1.2nix-shell_git
-rwxr-xr-xbin/populate4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/populate b/bin/populate
index 7f43cf3..6ffe9f7 100755
--- a/bin/populate
+++ b/bin/populate
@@ -147,6 +147,10 @@ populate_git() {(
{
echo set -efu
+ echo 'if ! type git 2>/dev/null; then'
+ echo ' PATH=${PATH+$PATH:}$(nix-build --no-out-link -A git "<nixpkgs>")'
+ echo 'fi'
+
echo git_url=$(quote "$git_url")
echo git_ref=$(quote "$git_ref")